Bug 596253 - Regression xorg-x11 docked Dell Latitude D630
Summary: Regression xorg-x11 docked Dell Latitude D630
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-26 13:17 UTC by Peter van Hooft
Modified: 2018-04-11 15:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 16:42:16 UTC
Type: ---


Attachments (Terms of Use)
Xorg.0.log (209.14 KB, text/plain)
2010-05-26 13:17 UTC, Peter van Hooft
no flags Details
Xorg.0.log with fedora 12 (179.47 KB, text/plain)
2010-05-26 13:18 UTC, Peter van Hooft
no flags Details
lspci -vv output (29.66 KB, text/plain)
2010-05-26 13:19 UTC, Peter van Hooft
no flags Details
xrandr output when bug is hit (909 bytes, text/plain)
2010-05-26 13:20 UTC, Peter van Hooft
no flags Details
/var/log/messages (80.71 KB, text/plain)
2010-05-28 13:14 UTC, Peter van Hooft
no flags Details
output of dmesg after I have logged in (114.98 KB, text/plain)
2010-05-28 13:16 UTC, Peter van Hooft
no flags Details
/etc/X11/xorg.conf (320 bytes, text/plain)
2010-05-28 13:17 UTC, Peter van Hooft
no flags Details
Screenshot of `laptop display also displayed on external monitor' (118.98 KB, image/png)
2010-05-31 18:05 UTC, Peter van Hooft
no flags Details

Description Peter van Hooft 2010-05-26 13:17:15 UTC
Created attachment 416824 [details]
Xorg.0.log

Description of problem:
When X11 is started while my Dell Latitude D630 is docked, it looks like the laptop screen is also displayed on the external monitor.
This effect disappears when I switch the internal screen off with
xrandr --output LVDS1 --off
This worked correctly with Fedora 12.

Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.11.0-4.fc13.x86_64
xorg-x11-server-Xorg-1.8.0-12.fc13.x86_64

How reproducible:
Install Fedora 13, boot while laptop is docked.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Ghost image in left upper corner on external monitor.

Expected results:
Good image.

Additional info:

Comment 1 Peter van Hooft 2010-05-26 13:18:18 UTC
Created attachment 416825 [details]
Xorg.0.log with fedora 12

Comment 2 Peter van Hooft 2010-05-26 13:19:23 UTC
Created attachment 416826 [details]
lspci -vv output

Comment 3 Peter van Hooft 2010-05-26 13:20:26 UTC
Created attachment 416827 [details]
xrandr output when bug is hit

Comment 4 Matěj Cepl 2010-05-28 08:56:05 UTC
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* output of the dmesg command, and
* system log (/var/log/messages),

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 5 Peter van Hooft 2010-05-28 13:14:59 UTC
Created attachment 417600 [details]
/var/log/messages

Comment 6 Peter van Hooft 2010-05-28 13:16:04 UTC
Created attachment 417601 [details]
output of dmesg after I have logged in

Comment 7 Peter van Hooft 2010-05-28 13:17:33 UTC
Created attachment 417603 [details]
/etc/X11/xorg.conf

Comment 8 Peter van Hooft 2010-05-28 13:34:40 UTC
I forgot that for Fedora 12 I had to create an /etc/X11/xorg.conf to specify the screen dimensions; without it I get a screen with 2960x1050 pixels.

Comment 9 Matěj Cepl 2010-05-31 12:29:31 UTC
(In reply to comment #0)
> When X11 is started while my Dell Latitude D630 is docked, it looks like the
> laptop screen is also displayed on the external monitor.
> This effect disappears when I switch the internal screen off with
> xrandr --output LVDS1 --off
> This worked correctly with Fedora 12.

I am afraid I don't understand what's the expected behavior here. Xorg should default to dual-head setting (which is apparently not the case here, that *would* be a bug; could I get a photo of how your external monitor looks like, please?). If you want to have only your external monitor, then you probably need to do a little magic with xorg.conf (which you have already). http://udrepper.livejournal.com/20187.html and xorg.conf(5) could help.

Comment 10 Peter van Hooft 2010-05-31 18:05:52 UTC
Created attachment 418365 [details]
Screenshot of `laptop display also displayed on external monitor'

Comment 11 Peter van Hooft 2010-05-31 18:16:24 UTC
Ideally, when the lid of my laptop is closed (i.e. single head on my external monitor), it would be switched off and the settings would be adapted to match those of my external monitor. Alternating between versions of fedora / xorg, it looks like the laptop display `shines through' on my external monitor (see attached pgn) until I switch it off with xrandr --output LVDS1 --off, or this works correctly. I haven't seen this problem since early Fedora 12.

Comment 12 Matěj Cepl 2010-06-01 21:25:50 UTC
(In reply to comment #10)
> Created an attachment (id=418365) [details]
> Screenshot of `laptop display also displayed on external monitor'    

OK, this explains a lot. Passing to developers.

Comment 13 Bug Zapper 2011-06-02 13:25:54 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 14 Bug Zapper 2011-06-27 16:42:16 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.